{% extends "base.html" %}
{% load static %}
{% block resource %}
    <link rel="stylesheet" type="text/css" href="{% static 'css/index.css' %}"/>
	<link rel="stylesheet" href="https://unpkg.com/tailwindcss@2.2.19/dist/tailwind.min.css"/> 
{% endblock %}
{% block title %}SmartPlanting{% endblock %}

{% block nav_brand %}
    <a class="navbar-brand active" href="{% url 'main:index' %}">SmartPlanting</a>
    <span class="vl hide-vl"></span><br>
{% endblock %}

{% block nav_items %}
    <li class="nav-item">
        <a class="nav-link title1" href="{% url 'main:ai_solutions' 1 %}">AI Solutions</a>
    </li>
    <li class="nav-item">
        <a class="nav-link title1" href="{% url 'main:consulting' %}">Consulting</a>
    </li>
    <li class="nav-item">
        <a class="nav-link title1" href="#">Third Party</a>
    </li>
{% endblock %}

{% block content %}
<script>
	function clickAlert() {
	  alert("Request submitted!\nOur Experts will diagnose and contact you as soon as possible!");
  }
</script>


<body style="background-color:#f5f5f5" class="font-sans antialiased text-gray-900 leading-normal tracking-wider bg-cover" >

	<br/><br/>
	<a class="bg-green-700 hover:bg-green-900 text-white font-bold py-2 px-4 rounded-full" href="{% url 'main:add_plants' %}" >
		Add new plant
	</a> 
	{% for plant in object_list %}
			{% if plant.owner.name == request.session.username %}
	<div class="max-w-4xl flex items-center h-auto lg:h-screen flex-wrap mx-auto my-32 lg:my-0">
	  <!--Main Col-->
	  <div id="profile" class="w-full lg:w-3/5 rounded-lg lg:rounded-l-lg lg:rounded-r-none shadow-2xl bg-white opacity-75 mx-6 lg:mx-0">
		  <div class="p-4 md:p-12 text-center lg:text-left">
			  <!-- Image for mobile view-->
			  <div class="block lg:hidden rounded-full shadow-xl mx-auto -mt-16 h-48 w-48 bg-cover bg-center"></div>
			  <h1 class="text-3xl font-bold pt-8 lg:pt-0">{{plant.name}}</h1>
			  
			
			<br/>
			  <form action = "{% url 'main:diagnose' plant.pk %}" method="POST">
				<a class="bg-green-700 hover:bg-green-900 text-white font-bold py-2 px-3 rounded-full" href="{% url 'main:manage_plants' plant.pk %}">Manage my plant</a>
				{% csrf_token %}
				<button type="submit" class="bg-green-700 hover:bg-green-900 text-white font-bold py-1.5 px-3 rounded-full" onclick="clickAlert()">Health diagnosis</button>
				<a class="bg-green-700 hover:bg-green-900 text-white font-bold py-2 px-3 rounded-full" href="{% url 'main:delete_plants' plant.pk %}">Delete</a>
				{% csrf_token %}
			 </form>
			 
			  <p class="pt-4 text-sm"> <strong>Category: </strong> {{plant.category}} </p>
			  <p class="pt-4 text-sm"> <strong>Age: </strong> {{plant.age}} years </p>
			  <p class="pt-4 text-sm"> <strong>Health Condition: </strong>{{plant.health}}</p>
			
		  </div>
		  
	  </div>
	  
	  <!--Img Col-->
	  <div class="w-full lg:w-2/5">
		<br/>
		<div style="width: 500px; height: 300px;">
		  <!-- Big profile image for side bar (desktop) -->
		  <img src="{{plant.image.url}}" style="height: 92%; width: 90%;" class="rounded-none lg:rounded-lg shadow-2xl hidden lg:block">
		  <!-- Image from: http://unsplash.com/photos/MP0IUfwrn0A -->
		  
		</div>
	  </div>
	  
  </div>
  
	  <script src="https://unpkg.com/popper.js@1/dist/umd/popper.min.js"></script>
	  <script src="https://unpkg.com/tippy.js@4"></script>
	  <script>
		  //Init tooltips
		  tippy('.link',{
			placement: 'bottom'
		  })
  
		  //Toggle mode
		  const toggle = document.querySelector('.js-change-theme');
		  const body = document.querySelector('body');
		  const profile = document.getElementById('profile');
		  
		  
		  toggle.addEventListener('click', () => {
  
			if (body.classList.contains('text-gray-900')) {
			  toggle.innerHTML = "☀️";
			  body.classList.remove('text-gray-900');
			  body.classList.add('text-gray-100');
			  profile.classList.remove('bg-white');
			  profile.classList.add('bg-gray-900');
			} else
			{
			  toggle.innerHTML = "🌙";
			  body.classList.remove('text-gray-100');
			  body.classList.add('text-gray-900');
			  profile.classList.remove('bg-gray-900');			
			  profile.classList.add('bg-white');
			  
			}
		  });
		  
	  </script>
	  
	  {%endif%}
  {%endfor%}
  </body>
{% endblock %}